## Class TSubMap

Description

TSubMap class defines a submapping value and the corresponding <resultMap>

The Value property is used for comparison with the discriminator column value. When the Value matches that of the discriminator column value, the corresponding ResultMapping is used inplace of the current result map.

- since: 3.1
- version: $Id: TDiscriminator.php 1555 2006-12-04 00:02:23Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TDiscriminator.php (line 194)

    TComponent
       |
       --TSubMap

Method Summary
string getResultMapping ()
string getValue ()
void setResultMapping (string $value)
void setValue (string $value)
Methods
getResultMapping (line 219)

The result map to use when the Value matches the discriminator column value.

- return: ID of a result map
- access: public

string getResultMapping ()
getValue (line 202)

- return: value for comparison with discriminator column value.
- access: public

string getValue ()
setResultMapping (line 227)

- access: public

void setResultMapping (string $value)

- string $value: ID of a result map

setValue (line 210)

- access: public

void setValue (string $value)

- string $value: value for comparison with discriminator column value.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:56 -0400 by phpDocumentor 1.3.0RC4